html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

nav {
  position: absolute;
  left: -9999px; /* keeps it off-screen for users but visible to crawlers */
}

#loading {
    position: fixed;
    inset: 0;
    background: #0B1D12;
    color: #3DDC84; /* text color */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    transition: opacity 0.3s ease;
    font-weight: bold;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Ubuntu, Cantarell, sans-serif;
}

.spinner {
    width: 48px;
    height: 48px;
    border: 6px solid rgba(255,255,255,0.0);
    border-top-color: #3DDC84;
    border-radius: 50%;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to { transform: rotate(360deg); }
}
